emerge –sync가 안될 때

(제목은 왜 저렇게 되는거지. 하이픈 두개가 이상하게 포맷되는건 왜그런걸까?)

아래와같은 메시지가 계속 떠서 구글링해보다가 emerge-websync로 sync가 되긴 되기때문에 몇달동안 그냥 무시했지만 이건 올바른 방법이 아니기때문에 다시 구글링을 해보았다.

>>> Syncing repository 'gentoo' into '/usr/portage'...
* Using keys from /usr/share/openpgp-keys/gentoo-release.asc
* Refreshing keys via WKD ... [ !! ]
* Refreshing keys from keyserver hkps://keys.gentoo.org ...OpenPGP keyring refresh failed:
gpg: refreshing 4 keys from hkps://keys.gentoo.org
gpg: keyserver refresh failed: General error

OpenPGP keyring refresh failed:
gpg: refreshing 4 keys from hkps://keys.gentoo.org
gpg: keyserver refresh failed: General error

OpenPGP keyring refresh failed:
gpg: refreshing 4 keys from hkps://keys.gentoo.org
gpg: keyserver refresh failed: General error
[반복]

해결법이 달려있는 글은 이곳에서 볼 수 있다. 결론은 emerge -av –oneshot net-libs/gnutls 명령으로 gnutls을 다시 빌드하는것. 아마 얼마전 리눅스 머신을 완전히 새로 설치하기위해 다운받았던 stage파일에 무언가 문제가 있었던것이 아닐까 싶은 생각이 든다.

결과적으로 gnutls를 다시 빌드하고난 후 emerge –sync 명령을 내리니 바로 키가 업데이트되고 싱크가 되었다. (sync하고나서 보니 webkit-gtk를 빌드한지 한시간도 안지났는데 또 업뎃되어 또 빌드되고있다는건 안비밀.)

댓글 남기기

이메일은 공개되지 않습니다. 필수 입력창은 * 로 표시되어 있습니다

*
*

This site uses Akismet to reduce spam. Learn how your comment data is processed.